import * as apigw from '@aws-cdk/aws-apigateway';
import * as ec2 from '@aws-cdk/aws-ec2';
import * as elbv2 from '@aws-cdk/aws-elasticloadbalancingv2';
import * as iam from '@aws-cdk/aws-iam';
import * as lambda from '@aws-cdk/aws-lambda';
import * as cdk from '@aws-cdk/core';
/**
 * @experimental
 */
export interface MetaflowApiProps {
    /**
     * @experimental
     */
    readonly executionRole: iam.IRole;
    /**
     * @experimental
     */
    readonly vpc: ec2.IVpc;
    /**
     * @experimental
     */
    readonly securityGroup: ec2.ISecurityGroup;
    /**
     * @experimental
     */
    readonly nlb: elbv2.INetworkLoadBalancer;
}
/**
 * @experimental
 * @summary Metaflow Api
 */
export declare class MetaflowApi extends cdk.Construct {
    /**
     * (experimental) Constructs a new instance of the MetaflowApi class.
     *
     * @experimental
     * @access public
     */
    readonly api: apigw.IRestApi;
    /**
     * @experimental
     */
    readonly dbMigrateLambda: lambda.IFunction;
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: MetaflowApiProps);
}
